GStreamer::Query(3)

NAME
GStreamer::Query

DESCRIPTION
The various query types are represented as subclasses:

GStreamer::Query::Position
GStreamer::Query::Duration
GStreamer::Query::Latency
GStreamer::Query::Jitter
GStreamer::Query::Rate
GStreamer::Query::Seeking
GStreamer::Query::Segment
GStreamer::Query::Convert
GStreamer::Query::Formats

To create a new query, you call the constructor of the corresponding class.

To modify or retrieve the content of a query, call the corresponding mutator:

  my $query = GStreamer::Query::Position -> new("time");
  $query -> position("time", 23);
  my ($format, $position) = $query -> position;

  my $query = GStreamer::Query::Duration -> new("time");
  $query -> duration("time", 23);
  my ($format, $duration) = $query -> duration;

METHODS

  structure = $query->get_structure

SEE ALSO
GStreamer

COPYRIGHT
Copyright (C) 2005-2011 by the gtk2-perl team.

This software is licensed under the LGPL. See GStreamer for a full notice.